ZIP_ADD_DIR(3) | Library Functions Manual | ZIP_ADD_DIR(3)

# NAME

`zip_add_dir` — add directory to zip archive (obsolete interface)

# LIBRARY

libzip (-lzip)

# SYNOPSIS

`#include <zip.h>`

zip_int64_t
`zip_add_dir`(zip_t *archive, const char *name);

# DESCRIPTION

The function `zip_add_dir`() is the obsolete version of zip_dir_add(3). It is the same as calling zip_dir_add(3) with an empty flags argument.

# SEE ALSO

libzip(3), zip_dir_add(3)

# HISTORY

`zip_add_dir`() was added in libzip 0.8. In libzip 0.10 the return type was changed from int to zip_int64_t. It was deprecated in libzip 0.11, use `zip_dir_add`() instead.

# AUTHORS

Dieter Baron <dillo@nih.at> and Thomas Klausner <wiz@gatalith.at>

December 18, 2017 | NiH